Subject: Re: [bitcoin-dev] What Lightning Is

From: Patrick Strateman <[email-masked]>
Date: Sun, 09 Aug 2015 20:31:56 -0700

> I would be surprised if the rates charged to consumers for BTC credit
aren't much closer to today's BTC borrowing rates.

The borrowing rates you're talking about involve the risk of default.

In lightning the hubs funds are not at risk so long as they maintain
control of the private keys.

The rates charged by hubs will almost certainly be orders of magnitude
below the rates charged on the various p2p lending sites....

But that seems fairly obvious... did I miss something?

On 08/09/2015 06:52 PM, Tom Harding via bitcoin-dev wrote:
> On 8/9/2015 2:45 PM, Hector Chu wrote:
>> Tom, my understanding is that the money that is debited from a payment
>> hub is simultaneously credited from either another payment hub or the
>> person making the payment, so that the net funds flow at a payment hub
>> always sums to zero.
> 
> That describes the steady-state dynamics.  I refer to the hub funding
> required to initiate and maintain the ability to receive payments.
> 
> If Bob opens a channel at his hub, doesn't use it for spending, and
> Alice sends 1 BTC to the channel, her payment can only be applied if the
> hub has funded the channel with at least 1 BTC.
> 
> Yes, the hub receives an offsetting payment (from Alice, ultimately) in
> another channel.  But to make this work, it must subject 1 BTC to shared
> control with Bob and forfeit the use of that money for other purposes
> (opportunity cost) while the channel is open.  The opportunity cost is
> likened to gold lease rates in the LN paper.  I would be surprised if
> the rates charged to consumers for BTC credit aren't much closer to
> today's BTC borrowing rates.  We'll see.
> 
> Burying this cost in general fees might not work very well, because
> different Bobs may want different maximum payment amounts, and channels
> open for different lengths of time.
> 
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>